# `sample_trie_node_update` Interface

A sample node updater.

This class serves to show the interface a node update functor needs to support.

Defined in: `sample_trie_node_update.hpp`

## Template Parameters

Parameter | Description | Default Value

    class Const_Node_Iterator

Const node iterator type.

-

    class Node_Iterator

Node iterator type.

-

    class E_Access_Traits

Comparison functor.

-

    class Allocator

Allocator type.

-

## Public Types and Constants

### Metadata definitions.

Type | Definition | Description

    metadata_type

    size_t

Metadata type.

This can be any type; size_t is merely an example.

## Protected Methods

### Conclassors, declassor, and related.

Method | Description

      sample_trie_node_update
      ()

Default constructor.

Must be default constructable.

### Operators.

Method | Description

    inline void
      operator()
      (node_iterator node_it,
        const_node_iterator end_nd_it) const

Updates the rank of a node through a `node_iterator` `node_it`; `end_nd_it` is the end node iterator.